Loading...
Searching...
No Matches
BALL::TranslationProcessor Class Reference
Molecular Modeling » Molecular Structure » Geometric property processors.

`#include <BALL/STRUCTURE/geometricTransformations.h>`

Inheritance diagram for BALL::TranslationProcessor:

## Public Member Functions

| TranslationProcessor ()
| TranslationProcessor (const Vector3 &translation)
void | setTranslation (const Vector3 &translation)
const Vector3 & | getTranslation () const
virtual Processor::Result | operator() (Atom &atom)
| Applicator method.
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Translation processor. This processor executes a translation on each atom of a given Composite object. The translation may be given in the constructor, or by calling setTranslation. Applying the processor to a given Composite object will add the given translation vector to the coordinates of each Atom object (and derived classes).

Definition at line 41 of file geometricTransformations.h.

## Constructor & Destructor Documentation

## TranslationProcessor() [1/2]

BALL::TranslationProcessor::TranslationProcessor | ( |  | ) |

Default constructor. The translation applicator object is initialized and the transformation is set to (0, 0, 0).

## TranslationProcessor() [2/2]

BALL::TranslationProcessor::TranslationProcessor | ( | const Vector3 & | translation | ) |

Constructor. Creates a new instance of a TranslationProcessor and sets the translation vector.

Parameters

  translation | the new translation vector

## Member Function Documentation

## getTranslation()

const Vector3 & BALL::TranslationProcessor::getTranslation | ( |  | ) | const

Returns the translation vector.

Returns
  the current translation vector

## operator()()

virtual Processor::Result BALL::TranslationProcessor::operator() | ( | Atom & | atom | ) |

virtual

Applicator method.

Reimplemented from BALL::UnaryProcessor< Atom >.

## setTranslation()

void BALL::TranslationProcessor::setTranslation | ( | const Vector3 & | translation | ) |

Sets a new translation.

Parameters

  translation | the new translation vector